import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'
import Navigation from '../views/navigation'
import CollectRecords from '../views/collectRecords'
import ReturnVisit from '../views/returnVisit'
import ChoiceContraceptives from '../views/choiceContraceptives'
import SiteDetails from '../views/siteDetails'
import ReceiveSuccess from '../views/receiveSuccess'
import qrcodeReader from "../views/scanComponent/qrcodeReader"

Vue.use(VueRouter)

const routes = [
    {path: '/', name: 'Home', component: Home},
    {path: '/navigation', name: 'navigation', component: Navigation},
    {path: '/collectRecords', name: 'collectRecords', component: CollectRecords},
    {path: '/returnVisit', name: 'returnVisit', component: ReturnVisit},
    {path: '/choiceContraceptives', name: 'choiceContraceptives', component: ChoiceContraceptives},
    {path: '/siteDetails', name: 'siteDetails', component: SiteDetails},
    {path: '/receiveSuccess', name: 'receiveSuccess', component: ReceiveSuccess},
    {path:'/qrcodeReader', name: 'qrcodeReader', component: qrcodeReader},

]

const router = new VueRouter({
    mode: 'hash',
    base: process.env.BASE_URL,
    routes
})

export default router
